Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.foundation.base
Class BasicDomain.DPoint

    java.lang.Object
      devisor2.foundation.base.BasicDomain.DPoint

Enclosing class:
  BasicDomain

public class BasicDomain.DPoint
extends java.lang.Object

Constructor Summary
`BasicDomain.DPoint()`
`BasicDomain.DPoint(double udx, double udy)`

Method Summary
`double` | `getX()`
`double` | `getY()`
`void` | `set(double udx, double udy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDomain.DPoint

    public BasicDomain.DPoint()

### BasicDomain.DPoint

    public BasicDomain.DPoint(double udx,
                              double udy)

Method Detail

### set

    public void set(double udx,
                    double udy)

### getX

    public double getX()

### getY

    public double getY()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD